Patching question -1 reply

Please wait...

N88TR

Old school pimp

50 XP

10th February 2004

0 Uploads

9,921 Posts

0 Threads

#1 12 years ago

Is the 1.12 patch cumumlative? Can I install BF2 then the 1.12 and be ready to install Spec Forces Exp Pack or do I need to 1.1 then 1.2 then 1.3 then 1.12? Please help, I just bought Spec Forces Exp Pack and new BF2 [old 'play' cd got messed up] and want to get back in the game and get my stats up again!




Aliblista(UK)

Wayne brady bitches!

50 XP

17th March 2005

0 Uploads

499 Posts

0 Threads

#2 12 years ago

all i kno is that you must install sf first then install the patch. Otherwise you have to install the patch again after installin sf. Oh and yes it is cumulative so you dnt need to install all the old patches again.




N88TR

Old school pimp

50 XP

10th February 2004

0 Uploads

9,921 Posts

0 Threads

#3 12 years ago

I have 1.2 patch and BF2 installed. So I install 1.3 patch then SF then patch 1.12, or do I install SF then the 1.12 patch? Thank you for your speedy response, Aliblista(UK)!




Aliblista(UK)

Wayne brady bitches!

50 XP

17th March 2005

0 Uploads

499 Posts

0 Threads

#4 12 years ago

shud be ok to install sf then 1.12 but if u really wana be safe then install 1.03 first sf second then 1.12 last np m8 anytime




Dark Saint

How many dogs are Pb'd?Maybe 2

50 XP

30th April 2004

0 Uploads

8,040 Posts

0 Threads

#5 12 years ago
Aliblista(UK)all i kno is that you must install sf first then install the patch. Otherwise you have to install the patch again after installin sf. Oh and yes it is cumulative so you dnt need to install all the old patches again.

No that is wrong... You do not need to install the 1.0 nor the 1.02 patches at all... All you need to patch the game from a fresh install is the 103 patch .




Aliblista(UK)

Wayne brady bitches!

50 XP

17th March 2005

0 Uploads

499 Posts

0 Threads

#6 12 years ago

MerrickDS plez read my post beeefore saying it is wrong. I said that he needed to install special forces before patchin to 1.12 otherwise he'd have to install 1.12 again after installin special forces. And btw the latest patch for bf2 is 1.12. however i think u only need it if u want to play sf. in this case he does so theres no point in installing 1.03




Dark Saint

How many dogs are Pb'd?Maybe 2

50 XP

30th April 2004

0 Uploads

8,040 Posts

0 Threads

#7 12 years ago

what i was referring to was the fact that you said he didn't have to install the 1.03 patch on a fresh install. Have you tested this ?

But lets get this straight then shall we ?

Aliblista(UK)MerrickDS plez read my post beeefore saying it is wrong. I said that he needed to install special forces before patchin to 1.12 otherwise he'd have to install 1.12 again after installin special forces. [/quote] Umm maybe you should read your post( and be sure of your information) before telling me I am wrong .. Let us look. he needs to install special forces before installing the 1.12 patch(Right!), otherwise he has to install the 1.12 patch again after installing. (wrong: he is supposed to install the patch back to back ? the same patch once then when it is done again ?). [quote=Aliblista(UK)] however i think u only need it ( patch1.12) if u want to play sf

wrong again.

Let's Dance... You need to install the patch twice only when you are using original BF2 and not using Special Forces at the moment. Let me explain:

If you have BF2 right now you can update your game to the 1.12 patch(and gain it's advantages). If you get Special Forces and install it( at a later date). You have to install the patch AGAIN at the end of Special Forces( over previous game and patches). When you know not what you speak of your mouth is best used for chewing.